Redmine - Defect #15664

Unable to upload attachments without add_issues, edit_issues or add_issue_notes permission
2013-12-10 11:00 - Pascal Jungblut

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Permissions and roles Estimated time: 0.00 hour
Target version: 2.4.3

Resolution: Fixed Affected version:

Description

Users with the manage_files permission are currently able to call FilesController#new and FilesController#create. However,
uploading files requires permission to call AttachmentsController#upload. If a user has none of the permissions add_issues,
edit_issues or add_issue_notes, they cannot upload files in the files tab.

Proposed solution: allow users with the manage_files permission to call AttachmentsController#upload.

Associated revisions

Revision 12652 - 2014-01-11 13:27 - Jean-Philippe Lang

Adds missing permissions on attachments/upload (#15664).

Revision 12846 - 2014-02-06 18:59 - Jean-Philippe Lang
Merged r12652 (#15664).

History

#1 - 2014-01-11 13:28 - Jean-Philippe Lang
- Tracker changed from Patch to Defect

- Subject changed from Allow users with the manage _files flag to call AttachmentsController#upload to Unable to upload attachments without
add_issues, edit_issues or add_issue_notes permission

- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang
- Target version set to 2.4.3

- Resolution set to Fixed

Confirmed and fixed in r12652 including for other actions (documents, wiki...).
Thanks for pointing this out.

#2 - 2014-02-06 18:59 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
